\documentclass[tikz, margin={0cm 0cm 0cm 0cm}]{standalone}

%\input{utils/preamble}

\begin{document}





\tikzset{every picture/.style={line width=0.75pt}} %set default line width to 0.75pt        

\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
%uncomment if require: \path (0,459); %set diagram left start at 0, and has height of 459

%Rounded Rect [id:dp5981811578696903] 
\draw   (380,178) .. controls (380,173.58) and (383.58,170) .. (388,170) -- (442,170) .. controls (446.42,170) and (450,173.58) .. (450,178) -- (450,202) .. controls (450,206.42) and (446.42,210) .. (442,210) -- (388,210) .. controls (383.58,210) and (380,206.42) .. (380,202) -- cycle ;
%Straight Lines [id:da31838575226656496] 
\draw    (450,190) -- (487,190) ;
\draw [shift={(490,190)}, rotate = 180] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da8421577978937115] 
\draw    (415,250) -- (415,213) ;
\draw [shift={(415,210)}, rotate = 450] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da2151080723904597] 
\draw    (430,100) -- (430,167) ;
\draw [shift={(430,170)}, rotate = 270] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da6024949543920494] 
\draw    (400,120) -- (400,167) ;
\draw [shift={(400,170)}, rotate = 270] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da3641313595572322] 
\draw    (350,190) -- (377,190) ;
\draw [shift={(380,190)}, rotate = 180] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;

% Text Node
\draw (391,170) node [anchor=north west][inner sep=0.75pt]   [align=left] {\begin{minipage}[lt]{38.98pt}\setlength\topsep{0pt}
Scoring
\begin{center}
Function
\end{center}

\end{minipage}};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (490,185) .. controls (490,182.24) and (492.24,180) .. (495,180) -- (520,180) .. controls (522.76,180) and (525,182.24) .. (525,185) -- (525,196) .. controls (525,198.76) and (522.76,201) .. (520,201) -- (495,201) .. controls (492.24,201) and (490,198.76) .. (490,196) -- cycle  ;
\draw (493,184) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {Score};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (288,176) .. controls (288,173.24) and (290.24,171) .. (293,171) -- (345,171) .. controls (347.76,171) and (350,173.24) .. (350,176) -- (350,203) .. controls (350,205.76) and (347.76,208) .. (345,208) -- (293,208) .. controls (290.24,208) and (288,205.76) .. (288,203) -- cycle  ;
\draw (291,175) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {\begin{minipage}[lt]{39.44pt}\setlength\topsep{0pt}
\begin{center}
Occupancy\\Grid
\end{center}

\end{minipage}};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 217; green, 217; blue, 217 }  ,fill opacity=1 ]  (403,251) .. controls (403,248.24) and (405.24,246) .. (408,246) -- (423,246) .. controls (425.76,246) and (428,248.24) .. (428,251) -- (428,267) .. controls (428,269.76) and (425.76,272) .. (423,272) -- (408,272) .. controls (405.24,272) and (403,269.76) .. (403,267) -- cycle  ;
\draw (406,250.4) node [anchor=north west][inner sep=0.75pt]    {$x_{0}$};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (375,116) .. controls (375,113.24) and (377.24,111) .. (380,111) -- (427,111) .. controls (429.76,111) and (432,113.24) .. (432,116) -- (432,127) .. controls (432,129.76) and (429.76,132) .. (427,132) -- (380,132) .. controls (377.24,132) and (375,129.76) .. (375,127) -- cycle  ;
\draw (378,115) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {Trajectory};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (388,86) .. controls (388,83.24) and (390.24,81) .. (393,81) -- (460,81) .. controls (462.76,81) and (465,83.24) .. (465,86) -- (465,97) .. controls (465,99.76) and (462.76,102) .. (460,102) -- (393,102) .. controls (390.24,102) and (388,99.76) .. (388,97) -- cycle  ;
\draw (391,85) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {Speeds of Traj};


\end{tikzpicture}



\end{document}

